Bug Hunting Session
Bug 66463 - FILEOPEN DOC: Incorrect formula
Summary: FILEOPEN DOC: Incorrect formula
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: DOC-Formula
  Show dependency treegraph
 
Reported: 2013-07-01 15:19 UTC by Sergey Pashinin
Modified: 2019-08-04 05:49 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
test document (19.50 KB, application/msword)
2013-07-01 15:19 UTC, Sergey Pashinin
Details
Quick look at the problem (28.48 KB, image/png)
2013-07-01 15:36 UTC, Sergey Pashinin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Pashinin 2013-07-01 15:19:00 UTC
Created attachment 81816 [details]
test document

Problem description: 

When you open a .doc-file with a formula you are looking at some kind of cached image of the formula but not at how it looks in LO.

So I never can be sure that a formula is imported correctly until I double-click it and enter "Edit-mode".

When I try to edit an imported formula it can change very much.

Steps to reproduce:
1. Open an attached document
2. See that a formula object is displayed "strangely"
3. Double click it and see that it changed a lot!

Current behavior:

Some cached images are displayed instead of actual formula.

Expected behavior:

I need to see how it (formula) looks from the start.

Note:
this report is only about initial look of all imported formulas, not about one incorrect formula.
Operating System: Windows 7
Version: 4.0.4.2 release
Comment 1 Sergey Pashinin 2013-07-01 15:36:20 UTC
Created attachment 81819 [details]
Quick look at the problem
Comment 2 Thomas van der Meulen 2013-07-01 15:41:36 UTC
Thank you for your bug report, I can reproduce this bug running LibreOffice Version: 4.1.0.1
Build ID: 1b3956717a60d6ac35b133d7b0a0f5eb55e9155 on Mac osx 10.8.4.
Comment 3 Sergey Pashinin 2013-07-01 16:36:57 UTC
I should add that the problem exists also for ".odt" files that were generated by saving a ".doc" file.
Comment 4 Mike Kaganski 2013-07-02 22:39:56 UTC Comment hidden (obsolete)
Comment 5 Sergey Pashinin 2013-07-02 22:50:08 UTC Comment hidden (obsolete)
Comment 6 Mike Kaganski 2013-07-03 00:42:01 UTC
In AOO, this formula is displayed correctly from start. Although it displays cached image, too, and this is fortunate, because AOO imports this formula broken as well. So, I suppose, it is best to just fix incorrect stretch of cached image, instead of forcing Math component to draw its imported formulas. This way, even if a formula is imported sub-optimally, it will be rendered correctly, which is good if you only want to view/print document contents, or don't need to modify this formula.

(In reply to comment #5)
Submitted Bug 66525.
Comment 7 Sergey Pashinin 2014-03-24 13:29:55 UTC
I agree with comment #6 about how this should be:

"it is best to just fix incorrect stretch of cached image, instead of forcing Math component to draw its imported formulas"

Just need images to be shown correctly. Incorrect import will be another bug.
Comment 8 QA Administrators 2016-09-20 09:32:16 UTC Comment hidden (obsolete)
Comment 9 Telesto 2016-12-21 18:29:38 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2017-12-22 03:35:27 UTC Comment hidden (obsolete)
Comment 11 Timur 2018-08-03 16:36:08 UTC
Attached DOC looks worse in 6.2+. 
I set Bug 61253 as general minor issue: "Incorrect initial representation of formulas in doc files due to incorrect stretch of cached image" because it's exactly about that, and I change this bug to fileopen formula issue with attachment 81816 [details].
Comment 12 QA Administrators 2019-08-04 05:49:40 UTC
Dear Sergey Pashinin,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug